%global modname narcissus.common

Name:               python-narcissus-common
Version:            0.9.0.1
Release:            11%{?dist}
Summary:            Common components for Narcissus, realtime log visualization

Group:              Development/Libraries
License:            AGPLv3+
URL:                http://pypi.python.org/pypi/narcissus.common
Source0:            http://pypi.python.org/packages/source/n/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:          noarch

BuildRequires:      python2-devel
BuildRequires:      python2-setuptools
BuildRequires:      python2-zmq

%global _description\
This package contains the commons components for narcissus.  Narcissus\
is a web application that visualizes web server hits as they happen\
in real time.\
\
Features:\
\
 * IP addresses converted to latitude/longitude, then streamed via\
   WebSockets to `polymaps <http://polymaps.org/>`_.\
 * Realtime graphs of what countries are downloading what content\
   with `d3 <http://d3js.org>`_.\
 * `Ømq (zeromq) <http://www.zeromq.org/>`_ on the backend.\
 * **Fast**.  No polling.\
\
You can see a demo running live at http://narcissus.rc.rit.edu\
It is visualizing the logs of http://mirror.rit.edu

%description %_description

%package -n python2-narcissus-common
Summary: %summary
Requires:           python2-zmq
%{?python_provide:%python_provide python2-narcissus-common}

%description -n python2-narcissus-common %_description

%prep
%setup -q -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

# Remove shebang from non-executable libraries
sed -i -e '1d' narcissus/common/amqp_log_sender.py
sed -i -e '1d' narcissus/common/zeromq_log_sender.py

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

# We're not actually going to support this one.
rm %{buildroot}/%{_bindir}/narcissus-amqp-source

%files -n python2-narcissus-common
%doc README.rst LICENSE
# This package actually owns the root narcissus directory
%{python_sitelib}/narcissus/
%{python_sitelib}/%{modname}-%{version}*
%{_bindir}/narcissus-zeromq-source

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 26 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.9.0.1-10
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9.0.1-9
- Python 2 binary package renamed to python2-narcissus-common
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0.1-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 27 2013 Ralph Bean <rbean@redhat.com> - 0.9.0.1-1
- Initial package for Fedora
